Bug 864165 - JPAWorkingMemoryDbLogger throws NullPointerException when used Spring + Resource_Local
JPAWorkingMemoryDbLogger throws NullPointerException when used Spring + Resou...
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
high Severity high
: ER4
: BRMS 5.3.1 GA
Assigned To: Kris Verlaenen
Radovan Synek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-08 14:45 EDT by Alessandro Lazarotti
Modified: 2015-06-01 21:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
JPAWorkingMemoryDbLogger threw NullPointerException exception when used with Spring and Resource_Local. This has been resolved by adding support for RESOURCE_LOCAL configuration when using Spring integration.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alessandro Lazarotti 2012-10-08 14:45:15 EDT
This is an issue caused by the features bug 840040 and bug 818244. The mentioned BZs don't include support to JPAWorkingMemoryDbLogger. Customers using those feautures will receive NPE if  JPAWorkingMemoryDbLogger is used too.
Comment 2 Radovan Synek 2012-11-12 10:28:43 EST
Verified on 5.3.1.BRMS-ER4

Note You need to log in before you can comment on or make changes to this bug.